Subject: RE: Cygwin causes 0x00000024 Stop Error (BLUE SCREEN)
From: Robert Collins <[email-masked]>
To: "Gary R. Van Sickle" <[email-masked]>
Cc: [email-masked]
Date: 25 Nov 2002 20:46:01 +1100

On Mon, 2002-11-25 at 15:43, Gary R. Van Sickle wrote:

> > I recall being unhappy about having the list of pages in two places, and
> > it's obvious why now.
> >
> 
> "List of pages in two places"?

In main.cc we list the pages, create instances, and add to the propery
sheet. So there is one list.
The second place is that each page knows what page follows, and will
alter this on occasion.

This isn't a reflection on your framework per se, the old code was
really intertwined, and what you've done is a serious improvement.
 
> Well, that's not the whole story.  Pre-"Property Sheetization", each page had to
> know what the next page was supposed to be at all times, sometimes in multiple
> places, and call it up.  Now, they don't have to know any of that, *unless*, as
> you say, the default order of presentation (i.e. the order in which the pages
> were added) needs to be changed dynamically.

Yep. I'd like to remove that 'unless' :}.

> is not yet ready for prime-time.  I'll get something sensical to you though in a
> few (>1,<24) hours.

Can't ask for more than that :].
 
> Didn't know there was a virus-scanner disabling interface that you cold do this
> sort of thing with, that's cool.  I wonder if the virus writers know about
> it....

Heh, I bloody hope they do. It's the standard NT service control
interface I'm using. 'most' users have access to start and stop
services, outside of certain locked down IT departments. And Services
have DACL's, so ...

Anyway, I *ask* the user about disabling it, hopefully that will stop
some enthusiastic but misguided mcaffee person from considering
setup.exe a virus!

BTW: anyone here who:
*) Is a 'supported' mcaffee user
*) can reproduce the Blue Screen (hint: I think large internet downloads
with connection set to 'ms ie5 settings' followed by the install process
is the trigger)
*) Is willing to submit a fault to mcaffee and ride herd till it gets
fixed?

Rob
-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---